net.sourceforge.pmd.lang.dfa.report

## Class ViolationNode

- java.lang.Object
- - net.sourceforge.pmd.lang.dfa.report.AbstractReportNode
  - - net.sourceforge.pmd.lang.dfa.report.ViolationNode

    public class ViolationNode
    extends AbstractReportNode

### Constructor Summary

Constructors
Constructor and Description
`ViolationNode(RuleViolation violation)`

### Method Summary

Methods
`boolean` `equalsNode(AbstractReportNode arg0)` Should compare to nodes of the tree.
`RuleViolation` `getRuleViolation()`

### Methods inherited from class net.sourceforge.pmd.lang.dfa.report.AbstractReportNode

`accept, add, addFirst, addNumberOfViolation, childrenAccept, getChildAt, getChildCount, getFirstChild, getNextSibling, getNumberOfViolations, getParent, isLeaf`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ViolationNode

    public ViolationNode(RuleViolation violation)

### Method Detail

#### getRuleViolation

    public RuleViolation getRuleViolation()

#### equalsNode

    public boolean equalsNode(AbstractReportNode arg0)

Description copied from class: `AbstractReportNode`
Should compare to nodes of the tree.

Specified by:
  `equalsNode` in class `AbstractReportNode`